gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11Monitor

Contents

- Exported types
- Methods
  - getOutput

Description

No description available in the introspection data.

Synopsis

- newtype X11Monitor = X11Monitor (ManagedPtr X11Monitor)
- class GObject o => IsX11Monitor o
- toX11Monitor :: (MonadIO m, IsX11Monitor o) => o -> m X11Monitor
- noX11Monitor :: Maybe X11Monitor
- x11MonitorGetOutput :: (HasCallStack, MonadIO m, IsMonitor a) => a -> m CULong

# Exported types

newtype X11Monitor Source #

Memory-managed wrapper type.

Constructors

X11Monitor (ManagedPtr X11Monitor) |

Instances

GObject X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor Methods gobjectType :: X11Monitor -> IO GType Source #
IsMonitor X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor
IsObject X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor
IsX11Monitor X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor

class GObject o => IsX11Monitor o Source #

Type class for types which can be safely cast to `X11Monitor`, for instance with `toX11Monitor`.

Instances

(GObject a, (UnknownAncestorError X11Monitor a :: Constraint)) => IsX11Monitor a Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor
IsX11Monitor X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor

toX11Monitor :: (MonadIO m, IsX11Monitor o) => o -> m X11Monitor Source #

Cast to `X11Monitor`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11Monitor :: Maybe X11Monitor Source #

A convenience alias for `Nothing` :: `Maybe` `X11Monitor`.

# Methods

## getOutput

x11MonitorGetOutput :: (HasCallStack, MonadIO m, IsMonitor a) => a -> m CULong Source #

No description available in the introspection data.